v2.5.x Unsecure Token bei PayPal Zahlungslink

Thema wurde von markuswimmer, 20. Oktober 2015 erstellt.

  1. markuswimmer

    markuswimmer Mitglied

    Registriert seit:
    16. Januar 2014
    Beiträge:
    13
    Danke erhalten:
    0
    Danke vergeben:
    6
    Hallöchen, wenn ich einem Kunden einen Zahlungslink für PayPal schicken möchte, kommt zwar das Fenster hoch, aber es heißt Unsecure Page token!

    Was könnte das sein? Ich habe die aktuellste Version ...
     
  2. Anonymous

    Anonymous Erfahrener Benutzer
    Mitarbeiter

    Registriert seit:
    22. Juni 2011
    Beiträge:
    4.415
    Danke erhalten:
    1.579
    Danke vergeben:
    116
    Kannst du etwas genauer beschreiben, was du tust?
    Und zur Sicherheit: Welche Shopsystem- und ggf. PayPal-Modul-Version?
    Verwendest du in irgendeiner Weise HTTPS?
     
  3. markuswimmer

    markuswimmer Mitglied

    Registriert seit:
    16. Januar 2014
    Beiträge:
    13
    Danke erhalten:
    0
    Danke vergeben:
    6
    Ahh, https soll wohl gekauft worden sein. Die aktuelle Version ist 2.4.0.

    Vorgehensweise: Wenn ich auf eine fertig Bestellung gehe, die mit PayPal bezahlt wurde, kann ich doch innerhalb der Bestellung (unter Details) auf den Button gehen, neuen zahlungslink generieren gehen. Dann kommt der screen (s. Anlage).
     

    Anhänge:

  4. Anonymous

    Anonymous Erfahrener Benutzer
    Mitarbeiter

    Registriert seit:
    22. Juni 2011
    Beiträge:
    4.415
    Danke erhalten:
    1.579
    Danke vergeben:
    116
    Hallo,

    in deinem Shop ist die PayPal-Installation ziemlich verdreht. Du hast da ein nur noch halb vorhandenes paypalng und ein veraltetes paypal3 (wg. GX2 v2.4.0.0), das kommt sich an der Stelle etwas ins Gehege. Ich würde dir raten, den Shop auf v2.4.1.0 zu aktualisieren und dann von paypalng auf paypal3 umzusteigen.
     
  5. markuswimmer

    markuswimmer Mitglied

    Registriert seit:
    16. Januar 2014
    Beiträge:
    13
    Danke erhalten:
    0
    Danke vergeben:
    6
    Hallo Marco, ich habe updated und finde unter der PayPal Konfig jetzt diese Meldung. Siehe Anlage.

    Ist es richtig, dass man ein sein normales PayPal Konto auf ein Business PayPal Konto umschreiben muß, um diese ganzen IDs zu bekommen? Sonst geht das ja gar nicht.
     

    Anhänge:

  6. Anonymous

    Anonymous Erfahrener Benutzer
    Mitarbeiter

    Registriert seit:
    22. Juni 2011
    Beiträge:
    4.415
    Danke erhalten:
    1.579
    Danke vergeben:
    116
    Hallo,

    die Fehlermeldung erscheint, weil du in GX v2.4.1.0 und später die Datei system/overloads/GMModuleManager/PayPal3GMModuleManager.inc.php aus dem PayPal-Paket löschen musst; die ist überflüssig geworden.

    Wenn du ein Gewerbe betreibst und im Rahmen dessen Zahlungen über PayPal vereinnahmst, brauchst du dort einen Geschäftskunden-Account, das ist richtig.
     
  7. markuswimmer

    markuswimmer Mitglied

    Registriert seit:
    16. Januar 2014
    Beiträge:
    13
    Danke erhalten:
    0
    Danke vergeben:
    6
    Öhm - nö! Wenn ich die Datei auskommentiere, wird die Fehlermeldung größer. Siehe Anlage.
     

    Anhänge:

  8. Wilken (Gambio)

    Wilken (Gambio) Administrator
    Mitarbeiter

    Registriert seit:
    7. November 2012
    Beiträge:
    17.846
    Danke erhalten:
    6.793
    Danke vergeben:
    2.060
    Ich hab die Datei bei dir gelöscht, dann sah ich auch den fehler den du beschreibst. Ein Leeren des Modulcaches nach dem Löschen behebt das, der Fehler ist nun weg.
     
  9. markuswimmer

    markuswimmer Mitglied

    Registriert seit:
    16. Januar 2014
    Beiträge:
    13
    Danke erhalten:
    0
    Danke vergeben:
    6
    super Ihr seid ein Schatz,
    i.A. Nicole
     
  10. Anonymous

    Anonymous Beta-Held

    Registriert seit:
    18. Dezember 2014
    Beiträge:
    2.521
    Danke erhalten:
    802
    Danke vergeben:
    906
    @Gambio,

    den Fehler kann ich unter 2.4.1.0 und PayPal 3.19 nicht sehen. Muss ich die Datei trotzdem löschen?


    Gruß Andreas (Link nur für registrierte Nutzer sichtbar.)
     
  11. Anonymous

    Anonymous Beta-Held

    Registriert seit:
    18. Dezember 2014
    Beiträge:
    2.521
    Danke erhalten:
    802
    Danke vergeben:
    906
    @Gambio,

    wird die Datei mit dem kommenden Service Pack 2.4.2.0 automatisch gelöscht?


    Gruß Andreas (Link nur für registrierte Nutzer sichtbar.)